## org.freedesktop.Geoclue.Velocity

org.freedesktop.Geoclue.Velocity — Velocity interface

## Methods

    GetVelocity (out 'i'fields,
                 out 'i'timestamp,
                 out 'd'speed,
                 out 'd'direction,
                 out 'd'climb)

## Signals

    VelocityChanged ('i'fields,
                     'i'timestamp,
                     'd'speed,
                     'd'direction,
                     'd'climb)

## Implemented Interfaces

org.freedesktop.Geoclue.Velocity implements org.freedesktop.DBus.Introspectable, org.freedesktop.DBus.Properties

## Properties

## Description

## Details

### GetVelocity ()

    GetVelocity (out 'i' fields,
                 out 'i' timestamp,
                 out 'd' speed,
                 out 'd' direction,
                 out 'd' climb)

`fields`: |
`timestamp`: |
`speed`: |
`direction`: |
`climb`: |

## Signal Details

### The VelocityChanged signal

    VelocityChanged ('i' fields,
                     'i' timestamp,
                     'd' speed,
                     'd' direction,
                     'd' climb)

`fields`: |
`timestamp`: |
`speed`: |
`direction`: |
`climb`: |

## Property Details